Bug 206248 - cs: pcmcia_socket1: cardbus cards are not supported
cs: pcmcia_socket1: cardbus cards are not supported
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 04:53 EDT by Eric Moret
Modified: 2007-12-14 20:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-14 20:35:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2006-09-13 04:53:42 EDT
Description of problem:
I am running FC5 on an IBM Thinkpad 600E. My pcmcia cards are not recognized.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2174_FC5

How reproducible:
Always

Steps to Reproduce:
1. Boot computer
2. Look at dmesg output
  
Actual results:
cs: pcmcia_socket1: cardbus cards are not supported

Expected results:
pccard: CardBus card inserted into slot 1

Additional info:
The work arround that made pcmcia cards work on my thinkpad 600E was to append 
the following to the /etc/grub.conf kernel parameters

acpi=off
Comment 1 Dave Jones 2006-10-16 20:18:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Brent R Brian 2006-10-29 20:20:16 EST
Same thing applies to IBM600E on Fedora Core 6 FC6
Comment 3 Brent R Brian 2007-02-03 09:34:59 EST
Cardbus needs IRQ 14, but with ACPI on, it is not available.

I used to use a MASK at boot to control this, but it does not seem to work.

As of 2.6.19-1 (FC6) it is still this way, with ACPI on, no cardbus.

Let me know what is needed.
Comment 4 Brent R Brian 2007-12-14 20:17:32 EST
Update to F7 fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.